Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 230626 - "service auditd status" should work for any user
Summary: "service auditd status" should work for any user
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: audit
Version: 7
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Steve Grubb
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-01 21:17 UTC by Tony Nelson
Modified: 2008-01-05 14:03 UTC (History)
0 users

Fixed In Version: audit-1.5.6-2.fc7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-01-05 14:03:01 UTC


Attachments (Terms of Use)
patch (diff -up) to implement auditd status command for normal user (deleted)
2007-03-01 21:17 UTC, Tony Nelson
no flags Details | Diff

Description Tony Nelson 2007-03-01 21:17:28 UTC
Description of problem:
"service auditd status" only works for root, even though the function that
auditd uses to provide status works, so there isn't any permissions issue:

    . /etc/init.d/functions ; status auditd

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.non-root user
2.service auditd status
3.
  
Actual results:
no output

Expected results:
auditd (pid  xxxx) is running...

Additional info:
OK, I know that there are services that don't provide status to a normal user,
but there are lots that do.  Anyway, I was looking at this one.

Comment 1 Tony Nelson 2007-03-01 21:17:28 UTC
Created attachment 149051 [details]
patch (diff -up) to implement auditd status command for normal user

Comment 2 Steve Grubb 2007-03-03 13:23:59 UTC
This was fixed in audit-1.5 in rawhide. I had not planned to make audit 1.5
available to fc6. I might hand pick some fixes from it and make a new
audit-1.4.2 release.

Comment 3 Tony Nelson 2007-03-03 17:46:29 UTC
OK, thanks.  Leaving it unchanged in FC6 is fine with me!

Comment 4 Steve Grubb 2007-03-05 19:55:54 UTC
audit-1.4.2-3 has been built to address this problem. Its currently in testing
and will be pushed out wednesday if no bugs are discovered. Thanks for reporting
this issue.

Comment 5 Till Maas 2008-01-05 14:03:01 UTC
Fixed on Fedora 7.


Note You need to log in before you can comment on or make changes to this bug.